5

My desktop computer runs Ubuntu 15.04 Vivid Vervet. I have an iPad2 running iOS 8.4.

I have installed libimobiledevice 1.2 and ifuse 1.1.2

When I connect my iPad to the computer, the system only detects an "iPad" folder, but the Document folder that used to appear when mounting the iDevices is not there. Rhythmbox and Shotwell work fine, though.

Can someone shed a little bit of light there? I've been using some of the apps' WiFi upload capabilities, but it's too slow when transferring big media files.

Thank you for any input.

  • 1
    did you unlock your ipad screen when connecting? – Aizuddin Zali Oct 14 '15 at 5:15
  • 1
    Yes, I did. I rebooted both the iPad and the computer after installing the latest version of libimobiledevice and iFuse, I unlocked the iPad, and I selected "Trust this computer" when the iPad asked me. And as I said, I can access the "iPad" directory, where I can see the DCIM directory, and the other iPad standard directories and databases. What I can't see is the "Documents" folder that used to be mounted along the iPad folder one, that allowed me to enter each app's directory and see the files in there, and move those between my computer and the iPad. – OriolFM Oct 15 '15 at 5:24
  • Same here with 14.04 and libimobiledevice 1.2. – NoBugs Oct 21 '15 at 6:03
  • 1
    No, it doesn't help. All the installed versions of libimobiledevice and ifuse are newer than the ones mentioned in the article. The article is also one year old and refers to iOS 7, which I did managed to mount flawlessly in Ubuntu. We're talking iOS 8 and 9 here, and the iPad folder mounts properly. What doesn't mount is the Documents folder, which leads me to believe that the problem is iFuse, not libimobiledevice. – OriolFM Oct 27 '15 at 0:13
  • 1
    Sounds like Apple has done something with iOS 8/9 and might need the attention of the developers of ifuse and libimobiledevice. Apple is just like that, locking down devices, or maybe they implemented a new file transfer protocol. – angulared Oct 27 '15 at 11:13
3

Update: This now has a GUI, check it out here.

This worked for iOS 8.3 device:

1) According to this it needs new ifuse install that matches libimobiledevide. According to this the --documents command was added in 1.1.3 and the version in Ubuntu is 1.1.2. So, I downloaded the ifuse-1.1.3.tar.bz2 from the site.

2) Install fuse library or configure will complain: sudo apt-get install libfuse-dev build-essential

3) Run ./configure in the unzipped folder, then make and make install as described in the readme file.

4) Verify it upgraded by running ifuse --version (1.1.3)

5) Add yourself to fuse users:

sudo modprobe fuse
sudo adduser $USER fuse

and log out, log back in.

---- (The GUI linked above will run the steps below, much easier) ----

6) Create a folder to mount an app's documents, say, mkdir /tmp/vlctest/

7) To connect to the VLC app for example, run ifuse --documents org.videolan.vlc-ios /tmp/vlctest/

8) When done, unmount with fusermount -u /tmp/vlctest

Unfortunately the ideviceinstaller isn't compiling for me, even with libzip-dev installed. It apparently hasn't been updated for recent libimobiledevice in a loong time.

  • It doesn't let me install it, it says I don't have libimobiledevice 1.0 or posterior, while I have already installed 1.2 – OriolFM Nov 1 '15 at 4:15
  • @OriolFM What says you don't have "libimobiledevice 1.0 or posterior"?? – NoBugs Nov 1 '15 at 5:20
  • @NoBugs It says configure: error: Package requirements (libimobiledevice-1.0 >= 1.0.0) were not met: No package 'libimobiledevice-1.0' found on Ubuntu 15.10 with libimobiledevice6 installed using deb from 16.04. – Aleksandr Dubinsky Feb 13 '16 at 23:06
  • I resolved the error by installing libimobiledevice-dev from 16.04 packages (launchpad.net/ubuntu/xenial/+source/libimobiledevice) – Aleksandr Dubinsky Feb 13 '16 at 23:16
  • @AleksandrDubinsky Dont you mean installing dev files and compiling latest 1.2? – NoBugs Feb 14 '16 at 3:58

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.